Start Deployment
POST
/api/v1/deployments/
const url = 'https://example.com/api/v1/deployments/';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"environment_id":"example","git_branch":"example","git_commit_sha":"example","initiated_by":"example","deployment_name":"example","allow_parallel":false,"external_run_id":"example","external_url":"example","deployment_tool":"github_actions","bundle_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/deployments/ \ --header 'Content-Type: application/json' \ --data '{ "environment_id": "example", "git_branch": "example", "git_commit_sha": "example", "initiated_by": "example", "deployment_name": "example", "allow_parallel": false, "external_run_id": "example", "external_url": "example", "deployment_tool": "github_actions", "bundle_name": "example" }'Start tracking a deployment (Root POST).
IDEMPOTENCY & LOCKING:
- Same Commit + Active Status -> 409 Conflict (Deployment already in progress)
- Same Commit + Terminated (Failed/Cancelled) -> Reuse ID & Restart (Set to in_progress)
- Same Commit + Success -> Reuse ID (Skip stage work)
- New Commit -> Create New Deployment
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
DeploymentStartRequest
Start tracking a deployment triggered by CI/CD.
object
environment_id
required
Environment Id
string
git_branch
required
Git Branch
string
git_commit_sha
required
Git Commit Sha
string
allow_parallel
Allow Parallel
boolean
deployment_tool
Deployment Tool
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentResponse
Deployment response.
object
id
required
Id
string
environment_id
required
Environment Id
string
git_branch
required
Git Branch
string
git_commit_sha
required
Git Commit Sha
string
status
required
Status
string
created_at
required
Created At
string
Examplegenerated
{ "id": "example", "deployment_name": "example", "environment_id": "example", "git_branch": "example", "git_commit_sha": "example", "status": "example", "job_run_id": "example", "created_at": "example", "started_at": "example", "completed_at": "example", "initiated_by": "example", "error_message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}